#####################################
### Lodz University of Technology ###
### Institute of Electronics      ###
### Image Processing and          ###
### Computer Graphics             ###
### Marek Kocinski                ###
### 2014                          ###
#####################################

import vtk

reader = vtk.vtkBMPReader()
reader.SetFileName ("blood1_bmp.bmp")

iren = vtk.vtkRenderWindowInteractor()

viewer = vtk.vtkImageViewer2()
viewer.SetupInteractor(iren)
viewer.SetInputConnection(reader.GetOutputPort())
viewer.SetColorLevel(125)
viewer.SetColorWindow(255)
viewer.Render()

iren.Start()

def close_window(iren):
    render_window = iren.GetRenderWindow()
    render_window.Finalize()
    iren.TerminateApp()
    
close_window(iren)
del iren